Rygel.RecursiveModuleLoader – librygel-core Reference Manual

# RecursiveModuleLoader

## Object Hierarchy:

## Description:

public abstract class RecursiveModuleLoader : Object

Recursively walk a folder looking for shared libraries.

The folder can either be walked synchronously or asynchronously. Implementing classes need to implement the abstract method load_module_from_file() which is called when the walker encounters a dynamic module file.

All known sub-classes:

- PluginLoader

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public string base_path { construct set; get; }

### Creation methods:

- public RecursiveModuleLoader (string path)
  Create a recursive module loader for a given path.

### Methods:

- public override void constructed ()
- public void load_modules ()
  Walk asynchronously through the tree and load modules.
- public void load_modules_sync (Cancellable? cancellable = null)
  Walk synchronously through the tree and load modules.
- protected abstract bool load_module_from_file (File file)
  Load module from file.
- protected abstract bool load_module_from_info (PluginInformation info)

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count